<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioEstadios' }">
          Regresar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'ActualizarEstadios', params: { id: id } }">
          Actualizar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <button class="boton" @click="deleteData">Eliminar</button>
      </div>
    </div>
    <div
        class="row detalles justify-content-center align-content-center align-content-center"
        v-if="estadio.id"
    >
      <div class="col-12 col-md-6">
        <h1>{{ estadio.nombre }}</h1>
        <h3>ID: {{ estadio.id }}</h3>
        <h3>Apodo: {{ estadio.apodo }}</h3>
        <h3>Ciudad: {{ estadio.ciudad }}</h3>
        <h3>Capacidad: {{ estadio.capacidad }} personas</h3>
        <h3>Fecha de apertura: {{ estadio.fechaApertura }}</h3>
        <h3>País: {{ estadio.countries.nombre }}</h3>
      </div>
    </div>
    <div v-else>
      <h1>El estadio no existe en la base de datos</h1>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "MostrarEstadios",
  data() {
    return {
      estadio: {},
      id: this.$route.params.id,
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function () {
      axios.get("http://laboratorio10.test/api/stadiums/" + this.id)
          .then(response => response.data)
          .then(data => {
            console.log(data);
            this.estadio = data;
          })
    },
    deleteData: function () {
      axios.delete("http://laboratorio10.test/api/stadiums/" + this.id)
          .then(response => {
            if(response.status === 200) {
              this.$router.push({ name: "InicioEstadios" });
            }
          })
    }
  }
}
</script>

<style scoped lang="scss">

</style>